R version 3.4.2 (2017-09-28) -- "Short Summer"
library(difR)
library(e1071)

spm<-read.csv("spm_rus_yak.csv",stringsAsFactors=F)

names(spm)

cbind(sapply(spm[,7:66],mean,na.rm=T),sapply(spm[,7:66],kurtosis,na.rm=T),sapply(spm[,7:66],skewness,na.rm=T))


# A1-A6, A9, B1-B3 were excluded from the analysis: all of them showed a kurtosis value of more than 30 and an accuracy rate of more than 0.98
spmEd<-spm[,c(6,13,14,16:18,22:66)]
fix(spmEd)

dU<-difLogistic(Data=spmEd, group="Group",focal.name="2", purify=T, nrIter=20, type="udif", p.adjust.method="bonferroni")

tabU<-cbind(dU$names[dU$DIFitems],round(dU$adjusted.p[dU$DIFitems],4),dU$DIFitems,round(dU$deltaR2[dU$DIFitems],2),"udif")

cbind(dU$names[dU$DIFitems],dU$DIFitems,round(dU$deltaR2[dU$DIFitems],2))

par(mfrow=c(2,3))
for (i in dU$DIFitems) {
plot(dU,"itemCurve",i,group.names=c("Russians","Yakuts"))
}


